using System;
using System.Collections.Generic;
using System.Text;
using Siger.Middlelayer.Utility.ExcelImport;
namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class WoTraceTemplate : ImportBase
    {
        [ExcelColumn("工单号")]
        [EmptyValidate("SnIsEmpty")]
        public string Wo { get; set; }
        [ExcelColumn("产品")]
        public string Product { get; set; }
        [ExcelColumn("图纸")]
        public string DrawCode { get; set; }
        [ExcelColumn("生产线")]
        public string Line { get; set; }
        [ExcelColumn("工位")]
        public string Station { get; set; }
        [ExcelColumn("工序")]
        public string Route { get; set; }
        [ExcelColumn("操作")]
        public string Operate { get; set; }
        //[ExcelColumn("项目")]
        //public string Item { get; set; }
        //[ExcelColumn("值")]
        //public string Value { get; set; }
        [ExcelColumn("结果")]
        public string Result { get; set; }
        [ExcelColumn("总数")]
        public int Total { get; set; }
        [ExcelColumn("合格数量")]
        public int OkCount { get; set; }
        [ExcelColumn("工废数量")]
        public int NgCount { get; set; }
        [ExcelColumn("料废数量")]
        public int NgCount2 { get; set; }
        [ExcelColumn("操作人")]
        public string User { get; set; }
        [ExcelColumn("时间")]
        public string DateTime { get; set; }

    }
    public class WoTraceDtsTemplate : ImportBase
    {
        [ExcelColumn("工单号")]
        [EmptyValidate("SnIsEmpty")]
        public string Wo { get; set; }
        [ExcelColumn("项目")]
        public string Item { get; set; }
        [ExcelColumn("值")]
        public string Value { get; set; }
        [ExcelColumn("结果")]
        public string Result { get; set; }
    }
}
